/// <reference types="express" />
import { Response } from '@loopback/rest';
import { ILogger } from '@sourceloop/core';
import { CodeWriterFn } from '../../providers';
import { AuthClientRepository } from '../../repositories';
import { AuthUser } from './models/auth-user.model';
import { ClientAuthRequest } from './models/client-auth-request.dto';
export declare class GoogleLoginController {
    authClientRepository: AuthClientRepository;
    logger: ILogger;
    constructor(authClientRepository: AuthClientRepository, logger: ILogger);
    loginViaGoogle(clientId?: string, clientSecret?: string): Promise<void>;
    postLoginViaGoogle(clientCreds?: ClientAuthRequest): Promise<void>;
    googleCallback(code: string, state: string, response: Response, googleCodeWriter: CodeWriterFn, user: AuthUser | undefined): Promise<void>;
}
